#!/bin/sh
if [ ! -e "$1" ]; then
	echo "Syntax: $0 executable_file"
	exit 0
fi
if [ -e run.sh ]; then
	echo "A run.sh file already exists."
	echo "Please, delete run.sh before running again this script, or just "
	echo "edit run.sh to suit your needs."
	exit 0
fi
cat > run.sh <<'EndOfText'
#!/bin/sh
export DISPLAY=:0
export scriptdir=`/usr/bin/dirname $0`
LD_LIBRARY_PATH=$scriptdir/lib
cd $scriptdir
EndOfText
echo "./$1" >> run.sh
chmod 755 run.sh
